gnutls_pkcs11_copy_x509_crt(3)

NAME
gnutls_pkcs11_copy_x509_crt - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_copy_x509_crt(const char * token_url, gnutls_x509_crt_t crt, const char * label, unsigned int flags);

ARGUMENTS

const char * token_url
    A PKCS 11 URL specifying a token

gnutls_x509_crt_t crt
    A certificate

const char * label
    A name to be used for the stored data

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_FLAG_*

DESCRIPTION
This function will copy a certificate into a PKCS 11 token specified by a URL. The certificate can be marked as trusted or not.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/